AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
DatabaseDelTree Method
DatabaseDelTree Method (String)
DatabaseDelTree Method (String, String)

| AGIScript DatabaseDelTree Method (String, String)

Deletes all entries of a given family in the Asterisk database that have a key that starts with a given prefix.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected void DatabaseDelTree(
    	string family,
    	string keytree
    )

    Protected Sub DatabaseDelTree (
    	family As String,
    	keytree As String
    )

    protected:
    void DatabaseDelTree(
    	String^ family,
    	String^ keytree
    )

    member DatabaseDelTree :
            family : string *
            keytree : string -> unit

#### Parameters

family
  Type: System
  String
  the family of the entries to delete.
keytree
  Type: System
  String
  the prefix of the keys of the entries to delete.

See Also

#### Reference

AGIScript Class
DatabaseDelTree Overload
AsterNET.FastAGI Namespace